import { StyleSheet } from 'react-native';

const createFontStyle = (
  fontFamily: string,
  fontSize: number,
  lineHeight: number
) => ({
  fontFamily,
  fontSize,
  lineHeight,
});

export const Catamaran = StyleSheet.create({
  semiBold18: createFontStyle('Catamaran-SemiBold', 18, 24),
  bold18: createFontStyle('Catamaran-Bold', 18, 24),
  extraBold34: createFontStyle('Catamaran-ExtraBold', 34, 40),
  extraBold36: createFontStyle('Catamaran-ExtraBold', 36, 42),
});

export const FunnelSans = StyleSheet.create({
  regular16: createFontStyle('FunnelSans-Regular', 16, 22),
  medium12: createFontStyle('FunnelSans-Medium', 12, 16),
  medium14: createFontStyle('FunnelSans-Medium', 14, 20),
  medium16: createFontStyle('FunnelSans-Medium', 16, 22),
  semiBold14: createFontStyle('FunnelSans-SemiBold', 14, 20),
  bold16: createFontStyle('FunnelSans-Bold', 16, 22),
});
